import { serverClient } from "@/lib/trpc/server"

import SectionContainer from "@/components/Section/Container"
import SectionHeader from "@/components/Section/Header"
import SectionLink from "@/components/Section/Link"

import ClientCurrentRewards from "./Client"

import type { AccountPageComponentProps } from "@/types/components/myPages/myPage/accountPage"

export default async function CurrentRewardsBlock({
  title,
  subtitle,
  link,
}: AccountPageComponentProps) {
  const initialCurrentRewards =
    await serverClient().contentstack.rewards.current({
      limit: 3,
    })

  if (!initialCurrentRewards) {
    return null
  }

  return (
    <SectionContainer>
      <SectionHeader title={title} link={link} preamble={subtitle} />
      <ClientCurrentRewards initialCurrentRewards={initialCurrentRewards} />
      <SectionLink link={link} variant="mobile" />
    </SectionContainer>
  )
}
